Page MenuHomePhabricator

compare dpkg -l Whonix 13 -> Whonix 14
Closed, ResolvedPublic

Description

Compare new build and upgraded build.

Details

Impact
Normal

Event Timeline

Patrick created this task.Jan 2 2018, 3:29 PM
unman added a subscriber: unman.Mar 9 2018, 3:01 AM

Let me check - is this New 14 against upgraded 13, or new 13 against upgraded 13-14?

Good question.

  • Upgraded and apt-get autoremoveed 13

compared with

  • newly built, upgraded and apt-get autoremoveed 14

If that makes sense.

unman added a comment.Mar 9 2018, 2:19 PM

That's what I thought - the entry in T778 is made on that basis.

unman added a comment.Mar 14 2018, 1:41 AM

I have run the upgrade a number of times now with the latest rc. update.
There seem to be significant differences between the upgraded 13 and a clean install of 14 - in addition to the architectural changes evident in the move to Stretch.(i386/amd64)
I've attached a summary file of the differences - 14 is generally much cleaner.
The obvious extras included in an upgraded system would seem to be as summarised below. I see loittle differencd between upgraded GW and upgraded WS, in terms of additional programs, drivers and libraries.
KDE stuff:

accountsservice
akonadi-backend-mysql
akonadi-server
anon-kde-streamiso
anon-ws-kde-startmenu
bluedevil
bluez
bluez-obexd
exfat-fuse
exfat-utils
firmware-linux-free

Fonts:

fonts-droid-fallback
fonts-freefont-ttf
fonts-hack-ttf
fonts-lato
fonts-noto
fonts-noto-cjk
fonts-noto-mono
fonts-noto-unhinted
mariadb-client-core-10.1
mariadb-common
mysql-common
mysql-server-core-5.5
mesa-utils
mesa-vdpau-drivers:i386
nepomuk-core-data
netcat-traditional
nfacct
openssh-client
oxygencursors
powerdevil
powerdevil-data
poweroff-passwordless
publicsuffix

Some Python and Ruby:

perl-modules
python-reportlab
python-reportlab-accel:i386
python-support
python3.4
python3.4-minimal
ruby
ruby-dev:i386
ruby-did-you-mean
ruby-minitest
ruby-net-telnet
ruby-power-assert
ruby-test-unit
ruby2.1
ruby2.3
ruby2.3-dev:i386
rubygems-integration

VLC etc:

alsa-base
ffmpeg
mpv
vlc-plugin-video-splitter:i386
vlc-plugin-visualization:i386
wamerican

Some Whonix stuff:

whonix-setup-wizard
whonix-ws-firewall
whonix-ws-kde-desktop-conf
whonixsetup

Obviously these carry a large number of attendant libs.

Patrick closed this task as Resolved.Mar 14 2018, 2:08 PM
Patrick assigned this task to unman.

Looks like nothing unexpected / nothing need fixing.